
  //硬件参数
export default ({request}) => ({
  //左侧树
  leftTree(params = {}) {


    return request({
      url: `orgInfo/authority/getTreeList`,
      method: 'get',
      params
    })
  
    },

//列表
 hardParam(data = {}) {


  return request({
    url: `hdParemeter/getPage`,
    method: 'post',
    data
  })

  },

  //新增
  addHardParam(data = {}) {


    return request({
      url: `hdParemeter/save`,
      method: 'post',
      data
    })
  
    },


     //编辑
  editHardParam(data = {}) {


    return request({
      url: `/hdParemeter/update`,
      method: 'post',
      data
    })
  
    },


    //删除
    deleteHardParam(id){
      return request({
        url: `/hdParemeter/deleteById/${id}`,
        method: 'delete',
        
      })
    }
})
